List materials
curl --request GET \
--url https://api.truecold.io/material \
--header 'x-api-key: <api-key>'import requests
url = "https://api.truecold.io/material"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.truecold.io/material', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"material_code": "<string>",
"material_name": "<string>",
"allowance": 123,
"temperature_range_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max": 123,
"min": 123,
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>",
"TOR_bucket_hours": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Materials
List materials
GET
/
material
List materials
Authorizations
API key for authentication. Contact your administrator to get an API key.
Query Parameters
Search term to filter results
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Response
Successfully retrieved materials
Unique identifier
Creation timestamp
Account ID
material code
material name
Allowance
Temperature range ID
Max
Min
Soft deletion timestamp
User who soft deleted the record
TOR Bucket Hours
Last update timestamp
